package com.gic.haoban.manage.web.qo.data;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/30 10:29
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class StoreSumMemberDataQO extends CommonQO implements Serializable {

    private StoreSumMemberApiQO apiParam;

    /**
     * 1:data_mbr_scale_stat_sum_overview
     * 2:data_mbr_scale_stat_main_sum_overview
     */
    private Integer apiNameType;


    public String getApolloKeyByType() {
        if (apiNameType == null) {
            apiNameType = 1;
        }
        switch (apiNameType) {
            case 2:
                return "data_mbr_scale_stat_main_sum_overview";
            default:
                return "data_mbr_scale_stat_sum_overview";
        }
    }
}
